Data Fields

# _XMLTreeInfo Struct Reference

## Data Fields
char * | tag
char ** | attributes
char * | content
size_t | offset
XMLTreeInfo * | parent
XMLTreeInfo * | next
XMLTreeInfo * | sibling
XMLTreeInfo * | ordered
XMLTreeInfo * | child
WizardBooleanType | debug
SemaphoreInfo * | semaphore
size_t | signature

## Field Documentation

char ** _XMLTreeInfo::attributes

Referenced by AddChildToXMLTree(), DestroyXMLTree(), NewXMLTree(), NewXMLTreeTag(), ParseOpenTag(), and XMLTreeTagToXML().

XMLTreeInfo * _XMLTreeInfo::child

Referenced by AddChildToXMLTree(), AddPathToXMLTree(), GetXMLTreeChild(), InsertTagIntoXMLTree(), and XMLTreeTagToXML().

char * _XMLTreeInfo::content

Referenced by AddChildToXMLTree(), EncodePredefinedEntities(), NewXMLTreeTag(), ParseCharacterContent(), ParseOpenTag(), and XMLTreeTagToXML().

WizardBooleanType _XMLTreeInfo::debug

Referenced by AddChildToXMLTree().

XMLTreeInfo * _XMLTreeInfo::next

Referenced by InsertTagIntoXMLTree(), and PruneTagFromXMLTree().

size_t _XMLTreeInfo::offset

Referenced by InsertTagIntoXMLTree(), ParseEntities(), and XMLTreeTagToXML().

XMLTreeInfo * _XMLTreeInfo::ordered

Referenced by InsertTagIntoXMLTree(), PruneTagFromXMLTree(), XMLTreeInfoToXML(), and XMLTreeTagToXML().

XMLTreeInfo* _XMLTreeInfo::parent

Referenced by GetXMLTreeAttribute(), GetXMLTreeProcessingInstructions(), InsertTagIntoXMLTree(), ParseCloseTag(), XMLTreeInfoToXML(), and XMLTreeTagToXML().

SemaphoreInfo* _XMLTreeInfo::semaphore

XMLTreeInfo * _XMLTreeInfo::sibling

Referenced by GetXMLTreeChild(), InsertTagIntoXMLTree(), and PruneTagFromXMLTree().

size_t _XMLTreeInfo::signature

Referenced by AddChildToXMLTree(), AddPathToXMLTree(), DestroyXMLTree(), GetNextXMLTreeTag(), GetXMLTreeAttribute(), GetXMLTreeAttributes(), GetXMLTreeChild(), GetXMLTreeContent(), GetXMLTreeOrdered(), GetXMLTreePath(), GetXMLTreeProcessingInstructions(), GetXMLTreeSibling(), GetXMLTreeTag(), PruneTagFromXMLTree(), SetXMLTreeAttribute(), SetXMLTreeContent(), and XMLTreeInfoToXML().

char* _XMLTreeInfo::tag

Referenced by AddChildToXMLTree(), AddPathToXMLTree(), GetXMLTreeChild(), GetXMLTreePath(), InsertTagIntoXMLTree(), NewXMLTree(), NewXMLTreeTag(), ParseCharacterContent(), ParseCloseTag(), ParseOpenTag(), ParseProcessingInstructions(), PruneTagFromXMLTree(), and XMLTreeTagToXML().

The documentation for this struct was generated from the following file:

- xml-tree.c